# Interface WritableStream<W>

This Streams API interface provides a standard abstraction for writing streaming data to a destination, known as a sink. This object comes with built-in back pressure and queuing.

#### Type Parameters

- #### W = any

#### Hierarchy

- WritableStream

#####
Index

### Properties

locked

### Methods

abort
close
getWriter

## Properties

### `Readonly` locked

locked: boolean

## Methods

### abort

- abort(reason?): Promise<void>

- #### Parameters

  - ##### `Optional` reason: any

  #### Returns Promise<void>

### close

- close(): Promise<void>

- #### Returns Promise<void>

### getWriter

- getWriter(): WritableStreamDefaultWriter<W>

- #### Returns WritableStreamDefaultWriter<W>

Generated using TypeDoc